# replace current cytometry data

Source: `R/replace_data.R`
`replace_data.Rd`

It essentially reconstructs the entire ggcyto plot object based on the new data and the original mapping and layers recorded in the plot object.

    e1 %+% e2

## Arguments

e1 | the ggcyto object
e2 | the new cytometry data . It can be 'GatingSet' or 'flowSet'.

## Value

the new ggcyto object

## Examples

    dataDir <- system.file("extdata",package="flowWorkspaceData")
    gs <- load_gs(list.files(dataDir, pattern = "gs_bcell_auto",full = TRUE))
    gs1 <- gs[1]
    gs2 <- gs[2]

    #construct the ggcyto object for gs1
    p <- ggcyto(gs1, aes(cd24, cd38)) + geom_hex(bins = 128)
    p <- p + geom_gate("Transitional") #add gate
    #customize the stats layer
    p <- p + geom_stats(type = "count", size = 6,  color = "white", fill = "black", adjust = 0.3)
    #customize the layer
    p <- p + labs_cyto("channel")
    #customize the axis limits
    p <- p + ggcyto_par_set(limits = "instrument")#> Coordinate system already present. Adding new coordinate system, which will replace the existing one.#add another population as the overlay dots
    p <- p + geom_overlay("IgD-CD27-", col = "black", size = 1.2, alpha = 0.4)
    #hide the legend
    p <- p + guides(fill=FALSE)
    p
    #replace the data with gs2 and see the same visual effect
    p %+% gs2#> Scale for 'fill' is already present. Adding another scale for 'fill', which
    #> will replace the existing scale.#> Coordinate system already present. Adding new coordinate system, which will replace the existing one.